package lexer;

import java.io.IOException;
import java.io.Reader;
import common.Diagnostics;
import lexer.tokens.Token;

public class Lexer {
	private final Reader reader;
	private final Diagnostics diagnostics;
	private char current;
	private boolean end;
	
	public Lexer(Reader reader, Diagnostics diagnostics) {
		this.reader = reader;
		this.diagnostics = diagnostics;
		readNext();
	}

	public Token next() {
		// TODO: implement
		return null;
	}

	private boolean isDigit(char c) {
		return c >= '0' && c <= '9';
	}

	private boolean isLetter(char c) {
		return c >= 'A' && c <= 'Z' || c >= 'a' && c <= 'z';
	}

	private void skipBlanks() {
		while (!end && current <= ' ') {
			readNext();
		}
	}

	private void readNext() {
		try {
			var value = reader.read();
			if (value < 0) {
				current = '\0';
				end = true;
			} else {
				current = (char) value;
			}
		} catch (IOException e) {
			throw new RuntimeException(e);
		}
	}

	private void error(String message) {
		diagnostics.reportError(message);
	}
}
